## ros-noetic-prosilica-camera 1.9.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(prosilica_camera)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
set(CMAKE_CXX_STANDARD 17)

find_package(catkin REQUIRED COMPONENTS 
   prosilica_gige_sdk
   roscpp
   std_msgs
   sensor_msgs
   diagnostic_updater
   image_transport
   self_test 
   rosconsole
   dynamic_reconfigure 
   camera_calibration_parsers 
   polled_camera
   nodelet
   nodelet_topic_tools
   )

find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

# Generate dynamic parameters
generate_dynamic_reconfigure_options(cfg/ProsilicaCamera.cfg)

catkin_package()

add_library(prosilica src/libprosilica/prosilica.cpp)
target_link_libraries(prosilica ${catkin_LIBRARIES})

add_library(prosilica_nodelet src/nodes/prosilica_nodelet.cpp)
target_link_libraries(prosilica_nodelet prosilica ${catkin_LIBRARIES})
add_dependencies(prosilica_nodelet ${PROJECT_NAME}_gencfg)
class_loader_hide_library_symbols(prosilica_nodelet)

add_executable(prosilica_node src/nodes/prosilica_node.cpp)
target_link_libraries(prosilica_node 
   prosilica
   prosilica_nodelet
   ${Boost_LIBRARIES} 
   ${catkin_LIBRARIES})
add_dependencies(prosilica_node 
   ${catkin_EXPORTED_TARGETS}
   ${prosilica_camera_EXPORTED_TARGETS})

# disabled until it's mature??
#rosbuild_add_executable(find_camera find_camera.cpp)

add_executable(write_memory src/utilities/write_memory.cpp)
target_link_libraries(write_memory prosilica ${catkin_LIBRARIES})

add_executable(read_memory src/utilities/read_memory.cpp)
target_link_libraries(read_memory prosilica 
   ${catkin_LIBRARIES} 
   ${Boost_LIBRARIES})

add_executable(set_ip src/utilities/set_ip.cpp)
target_link_libraries(set_ip prosilica ${catkin_LIBRARIES})

add_executable(set_inhibition src/utilities/set_inhibition.cpp)
target_link_libraries(set_inhibition prosilica ${catkin_LIBRARIES})

install(TARGETS prosilica_node write_memory read_memory set_ip set_inhibition
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS prosilica prosilica_nodelet
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES prosilica.launch streaming.launch plugins/nodelet_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-noetic-prosilica-camera (1.9.5-1focal) focal; urgency=high

  * Merge pull request #19 <https://github.com/ros-drivers/prosilica_driver/issues/19> from PR2-prime/noetic-devel
    updated settings for noetic compile
  * updated settings for noetic compile
  * Merge pull request #15 <https://github.com/ros-drivers/prosilica_driver/issues/15> from jnmacdnld/kinetic-devel
    Remove driver_base dependency as this package is deprecated
  * Remove driver_base dependency as this package is deprecated
    Only the SensorLevels message is needed from this package, which is now
    provided by dynamic_reconfigure
  * Merge pull request #11 <https://github.com/ros-drivers/prosilica_driver/issues/11> from athackst/nodelet
    updated prosilica driver to be a nodelet
  * returned guard on frameDone in prosilica.cpp
  * fixed install in CMakeLists.txt
  * Update prosilica_nodelet.cpp
    updated comments
  * updated prosilica driver to be a nodelet, added diagnostic messages, and autoadjust streambytespersecond when multiple cameras are connected (can be overwritten by reconfigure)
  * Contributors: Allison Thackston, Austin, Dave Feil-Seifer, John Macdonald, athackst

 -- Austin Hendrix <namniart@gmail.com>  Tue, 23 Mar 2021 07:00:00 -0000

ros-noetic-prosilica-camera (1.9.4-1focal) focal; urgency=high

  * Update maintainer email
  * Merge pull request #5 <https://github.com/ros-drivers/prosilica_driver/issues/5> from mitchellwills/fixedrate
    Added support for fixedrate mode
  * Moved setting framerate from start to configure so that it is set without needing to restart the stream
  * added fixed rate back to dynamic reconfigure cfg
  * Implemented fixed rate camera mode
  * Contributors: Austin Hendrix, Mitchell Wills, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Mon, 28 Jul 2014 07:00:00 -0000

ros-noetic-prosilica-camera (1.9.3-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 11 Jul 2013 17:49:48 -0000

ros-noetic-prosilica-camera (1.9.2-1focal) focal; urgency=high

  * Fix compile warnings.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Thu, 11 Jul 2013 17:49:16 -0000

ros-noetic-prosilica-camera (1.9.1-1focal) focal; urgency=high

  * Fix include paths.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Fri, 28 Jun 2013 07:00:00 -0000

ros-noetic-prosilica-camera (1.9.0-1focal) focal; urgency=high

  * Clean up.
  * Install rules.
  * Catkinize.
  * Contributors: Austin Hendrix

 -- Austin Hendrix <namniart@gmail.com>  Thu, 27 Jun 2013 07:00:00 -0000

ros-noetic-prosilica-camera (1.8.2-1focal) focal; urgency=high

  * prosilica_camera: fixed link time compile bug
  * prosilica_camera: Fixed a boost linking error
  * Adding .gitignore files
  * Changed maintainer to me (William Woodall - mailto:wwoodall@willowgarage.com)
  * provide option to set netmask and gateway
  * prosilica_camera: Handle cameras which do not support binning. #5407 <https://github.com/ros-drivers/prosilica_driver/issues/5407>
  * Fix for auto-gain part of #5407 <https://github.com/ros-drivers/prosilica_driver/issues/5407>. Cameras without auto-gain actually do have the GainMode attribute, but error when you set it to anything but Manual. Instead check for GainAutoMax.
  * Enabled new settings from #5092 <https://github.com/ros-drivers/prosilica_driver/issues/5092> for Fuerte. Added gain_auto_max param.
  * prosilica_driver: Updated manifest and stack descriptions for accuracy after AVT acquired Prosilica.
  * new stack for Prosilica driver
  * Contributors: Jack O'Quin, Patrick Mihelich, William Woodall, Wim Meeussen

 -- Austin Hendrix <namniart@gmail.com>  Mon, 15 Oct 2012 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-prosilica-camera
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-camera-calibration-parsers, ros-noetic-catkin, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-image-transport, ros-noetic-nodelet, ros-noetic-nodelet-topic-tools, ros-noetic-polled-camera, ros-noetic-prosilica-gige-sdk, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-self-test, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Homepage: http://www.ros.org/wiki/prosilica_camera
Standards-Version: 3.9.2

Package: ros-noetic-prosilica-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-camera-calibration-parsers, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-dynamic-reconfigure, ros-noetic-image-transport, ros-noetic-nodelet, ros-noetic-nodelet-topic-tools, ros-noetic-polled-camera, ros-noetic-prosilica-gige-sdk, ros-noetic-roscpp, ros-noetic-self-test, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Description: A ROS driver node for AVT/Prosilica Gigabit Ethernet (GigE) cameras.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-prosilica-camera//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
